<template>
  <slot>
    <MLayerRaster />
  </slot>
</template>

<script>
// https://maplibre.org/maplibre-gl-js-docs/style-spec/sources/#raster

import {
  propsSource,
  propsSourceAttribution,
  propsSourceTiles,
  propsSourceScheme,
  propsSourceTileSize
} from './shared/props.js'

export const opts = Object.assign({},
  propsSource,
  propsSourceAttribution,
  propsSourceTiles,
  propsSourceScheme,
  propsSourceTileSize
)
</script>

<script setup>
import { setupSource } from './shared/setup.js'
import MLayerRaster from '@/components/layers/MLayerRaster.vue'

const type = 'raster'
const props = defineProps(opts)
const { source } = setupSource(type, opts, props)

defineExpose({ source })
</script>
